请各位帮个忙,看看“运行apt-get update 出现错误”是怎么回事?

为当前最终发行版之前的所有版本提供支持
回复
Arh
帖子: 49
注册时间: 2008-08-17 9:01
送出感谢: 0
接收感谢: 0

请各位帮个忙,看看“运行apt-get update 出现错误”是怎么回事?

#1

帖子 Arh » 2008-10-19 17:14

运行apt-get update 出现如下错误:
W: Duplicate sources.list entry http://repository.cairo-dock.org hardy/cairo-dock Packages (/var/lib/apt/lists/repository.cairo-dock.org_ubuntu_dists_hardy_cairo-dock_binary-amd64_Packages)
W: 您可能需要运行 apt-get update 来解决这些问题
不知道怎么解决,大虾支个招!
谢谢!
头像
CLOCKWORKHEART
帖子: 635
注册时间: 2007-11-05 19:26
送出感谢: 0
接收感谢: 0
联系:

Re: 请各位帮个忙,看看“运行apt-get update 出现错误”是怎么回事?

#2

帖子 CLOCKWORKHEART » 2008-10-19 21:24

E文说你有两个相同的记录在sources.list文件中,可能是你修改源的时候出了问题。
Everything that has a beginning has an end.
Arh
帖子: 49
注册时间: 2008-08-17 9:01
送出感谢: 0
接收感谢: 0

Re: 请各位帮个忙,看看“运行apt-get update 出现错误”是怎么回事?

#3

帖子 Arh » 2008-10-20 8:28

谢谢!我看了一下,是有两个相同的源文件在里面,删了一个后就没有出现那种情况了,但是有出现了另一种情况:
W: 无法下载 http://aeo.dreamhosters.com/binary/Packages.gz 404 Not Found

E: 有一些索引文件不能下载,它们可能被忽略了,也可能转而使用了旧的索引文件。
这是怎么回事,而且经常出现这种情况!
回复

回到 “老旧版本支持”